Entwurf PfadAnordnung

From FreeCAD Documentation
Revision as of 22:06, 16 January 2020 by Maker (talk | contribs)
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский

Template:Docnav/de/de

Official icon not found {{{Name/de}}}

Menüeintrag
Entwurf → BahnAnordnung
Arbeitsbereich
Entwurf, Arch
Standardtastenkürzel
None
In der Version eingeführt
-
Siehe auch
Entwurf BahnVerknüpfeAnordnung, Entwurf Anordnung, Entwurf VerknüpfeAnordnung, Entwurf PunktAnordnung


Beschreibung

Das BahnAnordnungswWerkzeug platziert Kopien einer ausgewählten Form entlang einer ausgewählten Bahn, die aus einem Entwurf Draht, einem Entwurf BSpline und ähnlichen Kanten bestehen können.

Das BahnAnordnungswerkzeug kann auf 2D Formen verwendet werden, die mit der Entwurf Arbeitsbereich erstellt wurden, aber auch auf vielen Arten von 3D Objekten, wie sie mit der Part Arbeitsbereich, PartDesign Arbeitsbereich oder Arch Arbeitsbereichen erstellt wurden.

Um Kopien in einem orthogonalen Anordnung zu positionieren, verwende Entwurf Anordnung; um Kopien an bestimmten Punkten zu positionieren, verwende Entwurf PunktAnordnung; um Kopien oder Klone zu erstellen und diese manuell zu platzieren, verwende Entwurf Bewegen, Entwurf Drehung und Entwurf Klon.

Draft PathArray Example.png

Objekt entlang eines Pfades angeordnet


Anwendung

  1. Wähle ein Objekt aus, das du verteilen möchten.
  2. Wähle ein Pfadobjekt oder einige Kanten aus, entlang derer das Objekt verteilt werden soll.
  3. Drücke die Taste Draft PathArray.svg Entwurf PfadAnordnung.
  4. Das Anordnungsobjekt wird sofort erzeugt. Du musst die Eigenschaften der Anordnung ändern, um die Anzahl und Richtung der erstellten Kopien zu ändern.

Jedes Element in der Anordnung ist ein exakter Klon des ursprünglichen Objekts, aber die gesamte Anordnung wird in Bezug auf Eigenschaften und Aussehen als eine Einheit betrachtet.

Das Basisobjekt sollte um den Ursprung zentriert sein, auch wenn der Pfad irgendwo anders beginnt.

Optionen

Es gibt keine Optionen für dieses Werkzeug. Entweder funktioniert es mit den ausgewählten Objekten oder nicht.

Eigenschaften

  • DataBase: specifies the object to duplicate in the path.
  • DataPathObj: specifies the path object.
  • DataPathSubs: specifies the sub-elements (edges) of the path object. This property does not yet appear in the property editor.
  • DataCount: specifies the number of copies of the base object.
  • DataAlign: if it is True the copies are aligned to the path; otherwise they are left in their default orientation.
Note: in certain cases the shape will appear flat, in reality it may have moved in the 3D space, so instead of using a flat view, change the view to axonometric.
  • DataXlate: specifies a translation vector (x, y, z) to displace each copy along the path.
Note: when DataAlign is True, the vector is relative to the local tangent, normal or binormal coordinates; otherwise the vector is relative to the global coordinates.

Scripting

Siehe auch: Draft API und FreeCAD Scripting Grundlagen.

The PathArray tool can be used in macros and from the Python console by using the following function:

PathArray = makePathArray(baseobject, pathobject, count, xlate=None, align=False, pathobjsubs=[])
  • Creates a PathArray object from the baseobject, by placing as many as count copies along pathobject.
    • If pathobjsubs is given, it is a list of sub-objects of pathobject, and the copies are created along this shorter path.
  • If xlate is given, it is a FreeCAD.Vector that indicates an additional displacement to move the base point of the copies.
  • If align is True the copies are aligned to the tangent, normal or binormal of the pathobject at the point where the copy is placed.

Beispiel:

import FreeCAD,Draft

p1 = FreeCAD.Vector(500, -1000, 0)
p2 = FreeCAD.Vector(1500, 1000, 0)
p3 = FreeCAD.Vector(3000, 500, 0)
p4 = FreeCAD.Vector(4500, 100, 0)
spline = Draft.makeBSpline([p1, p2, p3, p4])
object = Draft.makePolygon(3, 500)

PathArray = Draft.makePathArray(object, spline, 6)

Technische Erklärung für die Ausrichteigenschaft

Align false

Objekt, das entlang eines geschlossenen Pfades in der ursprünglichen Ausrichtung angeordnet ist.


When DataAlign is True, the positioning of the shapes becomes a bit more complex:

  1. First, Frenet coordinate systems are built on the path: X is tangent, Z is normal, Y is binormal.
  2. Then the original object is copied to every on-path coordinate system, so that the global origin is matched with the on-path coordinate system origin.
Patharray alignment annotated.png

Object arranged along a closed path; description of components and path


The following images show how the array is produced, depending on which plane the path is.

Bahn in der XY Ebene:

Patharray alignment.png

Objekt, angeordnet entlang einer geschlossenen Bahn, die auf die XY Ebene ausgerichtet ist


Pfad in der XZ Ebene:

Patharray alignment-XZ.png

Objekt angeordnet entlang einer geschlossenen Bahn, die auf die XZ Ebene ausgerichtet ist


Pfad in der YZ Ebene:

Patharray alignment-YZ.png

Objekt angeordnet entlang eines geschlossenen Pfades, der auf die YZ Ebene ausgerichtet ist


Da du den Pfad, aber nicht das Objekt neu orientierst, ist das Ergebnis konsistent: Das Objekt bleibt so am Pfad ausgerichtet, wie es vor der Neuausrichtung des Pfades war.

Editor:} Vielen Dank an den Benutzer DeepSOIC für diese Erklärung.

Arrow-left.svg Previous: Draft LinkArray.svg Link Array